--------------------------------------------------------------------------------
-- Copyright (c) 1995-2009 Xilinx, Inc.  All rights reserved.
--------------------------------------------------------------------------------
--   ____  ____ 
--  /   /\/   / 
-- /___/  \  /    Vendor: Xilinx 
-- \   \   \/     Version : 11.5
--  \   \         Application : sch2hdl
--  /   /         Filename : REF_REPEAT.vhf
-- /___/   /\     Timestamp : 07/15/2010 17:56:02
-- \   \  /  \ 
--  \___\/\___\ 
--
--Command: sch2hdl -sympath /home/rjn/Desktop/firmware/MCP_TARGET_BOTTOMv01/src/icon -sympath /home/rjn/Desktop/firmware/MCP_TARGET_BOTTOMv01/src/ila -intstyle ise -family spartan3 -flat -suppress -vhdl /home/rjn/Desktop/firmware/MCP_TARGET_BOTTOMv01/REF_REPEAT.vhf -w /home/rjn/Desktop/firmware/MCP_TARGET_BOTTOMv01/src/REF_REPEAT.sch
--Design Name: REF_REPEAT
--Device: spartan3
--Purpose:
--    This vhdl netlist is translated from an ECS schematic. It can be 
--    synthesized and simulated, but it should not be modified. 
--

library ieee;
use ieee.std_logic_1164.ALL;
use ieee.numeric_std.ALL;
library UNISIM;
use UNISIM.Vcomponents.ALL;

entity REF_REPEAT is
   port ( RF_REV_N : in    std_logic; 
          RF_REV_P : in    std_logic; 
          RF_SPA_N : in    std_logic; 
          RF_SPA_P : in    std_logic; 
          xCLK_FB  : in    std_logic; 
          COMCLK   : out   std_logic; 
          EXT_TRIG : out   std_logic; 
          REV_N    : out   std_logic_vector (3 downto 0); 
          REV_P    : out   std_logic_vector (3 downto 0); 
          SPA_N    : out   std_logic_vector (3 downto 0); 
          SPA_P    : out   std_logic_vector (3 downto 0));
end REF_REPEAT;

architecture BEHAVIORAL of REF_REPEAT is
   attribute IOSTANDARD : string ;
   attribute BOX_TYPE   : string ;
   attribute DRIVE      : string ;
   attribute SLEW       : string ;
   signal XLXN_1   : std_logic;
   signal XLXN_2   : std_logic;
   signal xREV     : std_logic;
   signal xSPA     : std_logic;
   component IBUFDS
      port ( I  : in    std_logic; 
             IB : in    std_logic; 
             O  : out   std_logic);
   end component;
   attribute IOSTANDARD of IBUFDS : component is "DEFAULT";
   attribute BOX_TYPE of IBUFDS : component is "BLACK_BOX";
   
   component BUF
      port ( I : in    std_logic; 
             O : out   std_logic);
   end component;
   attribute BOX_TYPE of BUF : component is "BLACK_BOX";
   
   component OBUFDS
      port ( I  : in    std_logic; 
             O  : out   std_logic; 
             OB : out   std_logic);
   end component;
   attribute IOSTANDARD of OBUFDS : component is "DEFAULT";
   attribute DRIVE of OBUFDS : component is "12";
   attribute SLEW of OBUFDS : component is "SLOW";
   attribute BOX_TYPE of OBUFDS : component is "BLACK_BOX";
   
begin
   XLXI_21 : IBUFDS
      port map (I=>RF_REV_P,
                IB=>RF_REV_N,
                O=>XLXN_1);
   
   XLXI_22 : IBUFDS
      port map (I=>RF_SPA_P,
                IB=>RF_SPA_N,
                O=>XLXN_2);
   
   XLXI_25 : BUF
      port map (I=>XLXN_1,
                O=>xREV);
   
   XLXI_26 : BUF
      port map (I=>XLXN_2,
                O=>xSPA);
   
   XLXI_27 : OBUFDS
      port map (I=>xREV,
                O=>REV_P(0),
                OB=>REV_N(0));
   
   XLXI_28 : OBUFDS
      port map (I=>xREV,
                O=>REV_P(1),
                OB=>REV_N(1));
   
   XLXI_29 : OBUFDS
      port map (I=>xREV,
                O=>REV_P(2),
                OB=>REV_N(2));
   
   XLXI_30 : OBUFDS
      port map (I=>xREV,
                O=>REV_P(3),
                OB=>REV_N(3));
   
   XLXI_35 : OBUFDS
      port map (I=>xSPA,
                O=>SPA_P(0),
                OB=>SPA_N(0));
   
   XLXI_36 : OBUFDS
      port map (I=>xSPA,
                O=>SPA_P(1),
                OB=>SPA_N(1));
   
   XLXI_37 : OBUFDS
      port map (I=>xSPA,
                O=>SPA_P(2),
                OB=>SPA_N(2));
   
   XLXI_38 : OBUFDS
      port map (I=>xSPA,
                O=>SPA_P(3),
                OB=>SPA_N(3));
   
   XLXI_39 : BUF
      port map (I=>xREV,
                O=>COMCLK);
   
   XLXI_40 : BUF
      port map (I=>xSPA,
                O=>EXT_TRIG);
   
end BEHAVIORAL;


