--------------------------------------------------------------------------------
--------------------------------------------------------------------------------
--								University of Hawaii at Manoa						         --
--						Instrumentation Development Lab / GARY S. VARNER				--
--   								Watanabe Hall Room 214								      --
--  								  2505 Correa Road										   --
--  								 Honolulu, HI 96822											--
--  								Lab: (808) 956-2920											--
--	 								Fax: (808) 956-2930										   --
--  						E-mail: idlab@phys.hawaii.edu									   --
--------------------------------------------------------------------------------
--------------------------------------------------------------------------------	
-- Design by: Larry L. Ruckman Jr.															--
-- DATE : 22 OCT 2007																			--
-- Project name: BLAB1 firmware			    					 							--
--	Module name: BLAB1_RAM_TIMING																--
--	Description : 																					--
-- 	BLAB1 RAM timing firmware																--
--		  											    												--
--------------------------------------------------------------------------------
--------------------------------------------------------------------------------

library IEEE;
use IEEE.STD_LOGIC_1164.ALL;
use IEEE.STD_LOGIC_ARITH.ALL;
use IEEE.STD_LOGIC_UNSIGNED.ALL;

entity CHIPSCOPE_MON is
port ( 
			 xMON0    		: in  std_logic;
			 xMON1    		: in  std_logic;
			 xMON2    		: in  std_logic;
			 xMON3    		: in  std_logic;
			 xMON4    		: in  std_logic;
			 xMON5    		: in  std_logic;
			 xMON6    		: in  std_logic;
			 xMON7    		: in  std_logic;
			 xMON8    		: in  std_logic;
			 xMON9    		: in  std_logic;
			 xMON10    		: in  std_logic;
			 xMON11    		: in  std_logic;
			 xMON12    		: in  std_logic;
			 xMON13    		: in  std_logic;
			 xMON14    		: in  std_logic;
			 xMON15    		: in  std_logic;
			 xCLK		 		: in  std_logic);	
end CHIPSCOPE_MON;

architecture Behavioral of CHIPSCOPE_MON is
	signal CONTROL	  		: std_logic_vector(35 downto 0);
	signal DATA		  		: std_logic_vector(15 downto 0);
--------------------------------------------------------------------------------
--   								components     		   						         --
--------------------------------------------------------------------------------
   component icon
      port( 
			CONTROL0 : inout STD_LOGIC_VECTOR (35 downto 0));
   end component;
--------------------------------------------------------------------------------	
   component ila
      port ( 
		   CLK 		: in STD_LOGIC := 'X'; 
			CONTROL 	: inout STD_LOGIC_VECTOR (35 downto 0); 
			TRIG0 	: in STD_LOGIC_VECTOR (15 downto 0); 
			DATA 		: in STD_LOGIC_VECTOR (15 downto 0));
   end component;
--------------------------------------------------------------------------------	
begin
--------------------------------------------------------------------------------	
	xicon : icon
	port map (
		CONTROL0  => CONTROL);
--------------------------------------------------------------------------------	
	xila : ila
	port map (
		CLK  	=> xCLK,
		TRIG0  	=> DATA,
		DATA  	=> DATA,
		CONTROL  => CONTROL);
--------------------------------------------------------------------------------	
	DATA <= 	xMON15 & 
				xMON14 & 
				xMON13 & 
				xMON12 & 
				xMON11 & 
				xMON10 & 
				xMON9  & 
				xMON8  & 
				xMON7  & 
				xMON6  & 
				xMON5  & 
				xMON4  & 
				xMON3  & 
				xMON2  & 
				xMON1  & 
				xMON0;
--------------------------------------------------------------------------------	
end Behavioral;